import FtlEntry from "../package/FtlEntry";
import FtlNavbar from "../package/FtlNavbar";
import FtlSidebar from "../package/FtlSidebar";
import FtlPasswordDialog from "../package/FtlPasswordDialog";
import FtlMessage from "../package/FtlMessage";

const components = [
  FtlEntry,
  FtlNavbar,
  FtlSidebar,
  FtlPasswordDialog,
  FtlMessage,
];

export { FtlEntry, FtlNavbar, FtlSidebar, FtlPasswordDialog, FtlMessage };

const install = function (Vue) {
  components.forEach((component) => {
    Vue.component(component.name, component);
  });
};

/* istanbul ignore if */
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  install,
  ...components,
};
